List Batches

​

Return a paginated list of batches.

Query Parameters

  • Filter by owning account

  • Filter by terminal ID

  • Filter by batch lifecycle statuses

  • Filter by processor config ID

  • Filter by processor name(s) (repeatable; any-of)

  • Case-insensitive match on batch id, processor batch id, account id, terminal id, merchant name, or terminal name

  • Field to sort by

    values
    opened_atclosed_atcaptured_amountrefunded_amount
  • Sort direction

  • Maximum items per page

  • Number of items to skip

Headers

  • Response format. Must be application/json.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/batches
curl 'https://api.uat.koard.com/v1/batches?sort_by=opened_at&sort_order=desc&limit=50&offset=0' \
  --header 'Accept: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
  "batches": [
    {
      "id": "string",
      "account_id": "string",
      "terminal_id": "string",
      "processor_name": "string",
      "processor_config_id": "string",
      "status": "open",
      "captured_amount": 0,
      "refunded_amount": 0,
      "transaction_count": 0,
      "processor_batch_id": null,
      "opened_at": "2026-10-13T15:42:01.985Z",
      "closed_at": "2026-10-13T15:42:01.985Z",
      "response": {
        "additionalProperty": "anything"
      },
      "batch_metadata": {
        "additionalProperty": "anything"
      },
      "gateway": "string",
      "mid": "string",
      "tid": "string",
      "terminal_name": "string",
      "rejection_reason": "string"
    }
  ],
  "limit": 1,
  "offset": 1,
  "page": 1,
  "total": 1,
  "additionalProperty": "anything"
}